import { FpRecirculationFansStation, FpRecirculationFansStationDraft } from '../devices/fp-recirculation-fans-station';
import { FpHrMonitorSpot, FpHrMonitorSpotDraft } from '../devices/fp-hr-monitor-spot';
import { PanelArea } from '../../../typeclass/decks/panel-area';
import { DeckBase } from '../../../typeclass/decks/deck-base';


export type FpDeckBase = Omit<
  DeckBase,
  "layout_file" | "perimeter" | "cargo_vent_priorities" | "recirculation_fans"
> & {
  layout_file: string;

  perimeter: PanelArea;

  cargo_vent_priorities: {
    aft: string[];
    mid: string[];
    fwd: string[];
  };

  laden_with_cargo: boolean;

  recirculation_fans: FpRecirculationFansStation[];

  hr_gas_monitors: FpHrMonitorSpot[];
};

export type FpDeckBaseDraft = Omit<
  FpDeckBase,
  "hr_gas_monitors" | "recirculation_fans"
> & {
  recirculation_fans: FpRecirculationFansStationDraft[];

  hr_gas_monitors: FpHrMonitorSpotDraft[];
};
