import { FpHoistableDeck, FpHoistableDeckDraft } from './decks/fp-hoistable-deck';
import { FpFixedDeck, FpFixedDeckDraft } from './decks/fp-fixed-deck';
import { Zone } from '../../typeclass/zone';


export type FpZone = Omit<Zone, "decks"> & {
  // How many decks are in the zone? This number includes the fixed bottom deck
  // Can be one only
  decks: (FpFixedDeck | FpHoistableDeck)[];

  // When creating a new job, we need to know if this zone is being fumigated or not
  to_be_fumigated: boolean;
};

export type FpZoneDraft = Omit<FpZone, "decks"> & {
  decks: (FpFixedDeckDraft | FpHoistableDeckDraft)[];
};
