export type MonitorReading = {
  _id: string;

  job_id: string;

  ongoing_job_id: string;

  // The external job number that identifies the job this monitor reading belongs to
  job_number: string;

  // The id of the zone this monitor belongs to
  zone_id: string;

  // The id this dck belongs to
  deck_id: string;

  // corresponding to the _id in OjHrMonitorSpot
  monitor_spot_id: string;

  // the serial number of the physcal device
  monitor_serial_number: string;

  // in ppm or some relevant unit
  ethyl_formate_concentration: number;

  // in ppm or some relevant unit
  carbon_dioxide_concentration: number;

  // in Celsius or Fahrenheit
  temperature: number;

  // when this reading was taken
  timestamp: Date;

  // when this reading was taken
  battery: number;
};
