import { RecirculationFanSpot, RecirculationFanSpotDraft } from './recirculation-fan-spot';
import { Point } from '../../geometry/point';


export type RecirculationFansStation = {
  // The id of the devices point
  _id: string;

  // If this device point is associate with any panel then this is the panel id
  panel_id?: string;

  // The coordinates of this device point
  coords: Point;

  // The are of recirculation fans that are on this device point. Because monitors are calculated dynamically, the only possible type here is recirculation fans
  spots: RecirculationFanSpot[];
};

export type RecirculationFansStationDraft = Omit<
  RecirculationFansStation,
  "_id" | "spots"
> & {
  spots: (RecirculationFanSpot | RecirculationFanSpotDraft)[];
};
