import { Zone, ZoneDraft } from './zone';
import { WeatherDeck, WeatherDeckDraft } from './weather-deck';
import { CargoVent, CargoVentDraft } from './vents/cargo-vent';
import { AccessWays } from './access-ways';


export type TypeClass = {
  _id: string;

  // The name of the type class
  name: string;

  // How many zones does this type class have?
  zones: Zone[];

  // The access way to importent parts of the ship
  access_ways: AccessWays;

  // The vent openings at the weather deck
  weather_deck: WeatherDeck;

  // All the cargo vents from all the deck. Each cargo vent conncts to on of th vents in the weather deck, though a wether deck vent can connect to multiple cargo vents
  cargo_vents: CargoVent[];

  // Is the typeclass complete and has all the nesessary details to creates a vessel?
  is_complete: boolean;
};

export type TypeClassDraft = Omit<
  TypeClass,
  "_id" | "zones" | "weather_deck" | "cargo_vents"
> & {
  _id?: string;
  zones: ZoneDraft[];
  weather_deck: WeatherDeckDraft;
  cargo_vents: CargoVentDraft[];
};
