import { AccessWaysStrings } from "./access-ways-locations";

export type AccessWays = {
  aft_mooring_deck?:
    | AccessWaysStrings.aftPortsideStair
    | AccessWaysStrings.aftStarboardStair
    | AccessWaysStrings.quaysideCrane;
  fwd_mooring_deck?:
    | AccessWaysStrings.fwdPortsideStair
    | AccessWaysStrings.fwdStarboardStair
    | AccessWaysStrings.quaysideCrane;
  engine_room?:
    | AccessWaysStrings.aftPortsideStair
    | AccessWaysStrings.aftStarboardStair
    | AccessWaysStrings.engineFunnel
    | AccessWaysStrings.midPortsideStair
    | AccessWaysStrings.midStarboardStair;
  starboard_gangway?:
    | AccessWaysStrings.midStarboardStair
    | AccessWaysStrings.notAccessible;
};

export type AccessWaysKey =
  | "aft_portside_stair"
  | "aft_starboard_stair"
  | "quayside_crane"
  | "fwd_portside_stair"
  | "fwd_starboard_stair"
  | "engine_funnel"
  | "mid_portside_stair"
  | "mid_starboard_stair"
  | "not_accessible";

export enum AccessWaysEnum {
  aftPortsideStair = "aft_portside_stair",
  aftStarboardStair = "aft_starboard_stair",
  quaysideCrane = "quayside_crane",
  fwdPortsideStair = "fwd_portside_stair",
  fwdStarboardStair = "fwd_starboard_stair",
  engineFunnel = "engine_funnel",
  midPortsideStair = "mid_portside_stair",
  midStarboardStair = "mid_starboard_stair",
  notAccessible = "not_accessible",
}
