import {
  RecirculationFansStation,
  RecirculationFansStationDraft,
} from "../devices/recirculation-fans-station";
import { PanelArea } from "./panel-area";

export type DeckBase = {
  _id: string;

  // The name for the deck
  name: string;

  // Qubic meters of the space in the zone
  volume: number;

  // URL to the layout file (image file)
  layout_file: string;

  // The shape of the entire deck. We need to calculata the approximate size of the deck that's being hoisted when a deck is partly-hoisted. Based on that daa we would know how many sensors are required.
  perimeter?: PanelArea;

  // The recirculation fans and their locations;
  recirculation_fans: RecirculationFansStation[];

  cargo_vent_priorities?: {
    aft: string[];
    mid: string[];
    fwd: string[];
  };
};

export type DeckBaseDraft = Omit<
  DeckBase,
  "_id" | "layout_file" | "recirculation_fans"
> & {
  _id?: string;
  layout_file?: string | undefined;
  recirculation_fans: RecirculationFansStationDraft[];
};
